# Copyright (C) 2006-2009 Red Hat, Inc.
#
# This program is free software; you can redistribute
# it and/or modify it under the terms of version 2 of the
# GNU General Public License as published by the
# Free Software Foundation.

from TagObject import TagObject

TAG_NAME = "failoverdomain"

class FailoverDomain(TagObject):
  def __init__(self):
    TagObject.__init__(self)
    self.TAG_NAME = TAG_NAME

  def is_restricted(self):
    restricted = self.getAttribute('restricted')
    if not restricted:
        return False
    if restricted.lower() in ('1', 'true'):
        return True
    return False

  def is_prioritized(self):
    prioritized = self.getAttribute('ordered')
    if not prioritized:
        return False
    if prioritized.lower() in ('1', 'true'):
        return True
    return False

  def get_member_node(self, nodename):
    member_list = self.children
    for i in member_list:
        if i.getName() == nodename:
            return i
    return None

  def has_member_node(self, nodename):
    return self.get_member_node(nodename) != None

  def clear_member_nodes(self):
    self.children = list()
