# Copyright (C) 2006-2009 Red Hat, Inc.
#
# This program is free software; you can redistribute
# it and/or modify it under the terms of version 2 of the
# GNU General Public License as published by the
# Free Software Foundation.

from TagObject import TagObject


TAG_NAME = 'totem'

class Totem(TagObject):
  TOKEN_RETRANSMITS_BEFORE_LOSS = 4
  TOKEN_TIMEOUT = 1000
  JOIN_TIMEOUT = 50
  CONSENSUS_TIMEOUT = 1200

  def __init__(self):
    TagObject.__init__(self)
    self.TAG_NAME = TAG_NAME

  def getJoinTimeout(self):
    try:
      join_timeout = self.getAttribute('join')
      if join_timeout == None:
        return self.JOIN_TIMEOUT
      else:
        return join_timeout
    except:
      pass
    return None

  def getTokenTimeout(self):
    try:
      token_timeout = self.getAttribute('token')
      if token_timeout == None:
        return self.TOKEN_TIMEOUT
      else:
        return token_timeout
    except:
      pass
    return None

  def getTokenRetransmits(self):
    try:
      token_retrans = self.getAttribute('token_retransmits_before_loss_const')
      if token_retrans == None:
        return self.TOKEN_RETRANSMITS_BEFORE_LOSS
      else:
        return token_retrans
    except:
      pass
    return None

  def getConsensusTimeout(self):
    try:
      consensus_timeout = self.getAttribute('consensus')
      if consensus_timeout == None:
        return self.CONSENSUS_TIMEOUT
      else:
        return consensus_timeout
    except:
      pass
    return None
