/*
 * Shared JS functions.
 *
 */

/**
 * Handle request for an overview collapse.
 */
function onOverviewCollapse() {
    var tb_shown = document.getElementById('toolbar_shown');
    var tb_collapsed = document.getElementById('toolbar_collapsed');
    var overview = document.getElementById('overview');

    if (tb_shown && tb_collapsed) {
        tb_shown.style.display = 'none';
        tb_collapsed.style.display = 'inherit';
        overview.style.display = 'none';
    }
}

/**
 * Handle request for an overview show.
 */
function onOverviewShow() {
    var tb_shown = document.getElementById('toolbar_shown');
    var tb_collapsed = document.getElementById('toolbar_collapsed');
    var overview = document.getElementById('overview');

    if (tb_shown && tb_collapsed) {
        tb_shown.style.display = 'inherit';
        tb_collapsed.style.display = 'none';
        overview.style.display = 'inherit';
    }
}

function allPasswdsSame(form) {
    var pw_elem = $('input:password', $(form));
    pw_elem.val(pw_elem.val());
}

function add_system_row(form) {
    var cur_count = $('.systemtriple', $(form)).length;
    var new_elem = $('#system_row_elem').clone();
    var input_elems = $(':input', $(new_elem));
    var num_nodes = Number(form.num_nodes.value) + 1;
    form.num_nodes.value = num_nodes;
    var new_id = $(form).attr('name') + '_system_row_elem' + num_nodes;
    $(new_elem).attr('id', new_id);
    $(input_elems).attr('name',
        function() { return this.name + num_nodes; });
    var img_elem = $('img', $(new_elem));
    $(img_elem).click(
	function() { $('#'+new_id).remove(); });
    $('.add_node_button_row', $(form)).before($(new_elem));
    if (form.allSameCheckBox.checked == true) { allPasswdsSame(form); }
}

function input_to_xml(elem) {
    var cur_xml_str = "";
    if ($(elem).attr('type') == 'checkbox') {
        if ($(elem).attr('checked')) {
            cur_xml_str += '<input name="' + $(elem).attr('name') + '" checked="checked" value="1" type="checkbox"/>';
        }
    } else {
        var cur_ival = $(elem).attr('value');
        if (cur_ival) {
            cur_xml_str += '<input name="' + $(elem).attr('name') + '" value="' + cur_ival + '" type="' + $(elem).attr('type') + '"/>';
        }
    }
    return cur_xml_str;
}
